std::experimental::const_where_expression(3)

NAME
std::experimental::const_where_expression - std::experimental::const_where_expression

Synopsis
   Defined in header <experimental/simd>
   template < class M, class V > (parallelism TS v2)
   class const_where_expression;
   The class template const_where_expression abstracts the notion of selected elements
   of a given const object of arithmetic or data-parallel type. Selected elements
   signifies the elements data[i] for all i ∈ {j ∈ ℕ0 | j < M::size() ⋀
   mask[j]}.

Template parameters
   M - The mask type
   V - The value type M applies on
   Valid combinations of (M, V) are: (simd_mask<T, Abi>, const simd<T, Abi>),
   (simd_mask<T, Abi>, const simd_mask<T, Abi>), (bool, const T).

Member functions
   operator- negates selected elements
             (public member function)
   copy_to stores selected elements to address
             (public member function)

Example